现在位置: 首页 > 升级
+0°

Wampserver 切换中文时无法启动报错处理

2024年02月01日 17:15:28 开发工具  ⁄ 共 822字 暂无评论 ⁄ 被围观 531次
​​在使用 Wampserver 软件时默认为英语,可以看到有语言选择功能,切换其他语言。但选择中文切换后,软件重启时报如下错误: ​ The configuration file contains a systax error on line 44:[EParseError] Mismatched or misplaced quoues on parameter "promptCaption" 一、回退切换前的状态 出现以上错误,首先应该回退到切换前状态,回复步骤如下: 1、修改 wampmanager.conf 打开 wamp 安装目录下的 w...
阅读全文
+0°

Linux 服务器中 PHP 版本从 5.x 升级到 7.x

2022年07月08日 12:01:09 PHP  ⁄ 共 2043字 暂无评论 ⁄ 被围观 2,273次
​如果把 Linux 服务器的 PHP 版本升级呢?比如目前版本是 PHP 5.6.40,升级到7.4 当前最最新版本 PHP 7.4.30。 查看当前 PHP 版本  php -v 卸载已安装的 PHP yum remove php-common 安装 EPEL 源 yum install epel-release 如果已安装过,则提示如下: 安装 remi 源 yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm 安装 yum-config-...
阅读全文
+0°

Use of undefined constant WP_ADMIN – assumed ‘WP_ADMIN‘

2022年07月08日 11:57:32 PHP  ⁄ 共 419字 暂无评论 ⁄ 被围观 2,103次
​如果 WordPress 网站运行的 PHP 版本 从 7.0 升级到 7.4,提示如下警告: Warning: Use of undefined constant WP_ADMIN - assumed 'WP_ADMIN' (this will throw an Error in a future version of PHP) in D:\xxx\wp-config.php on line 87 解决方法:按照提示,找到代码所在行,按提示修改代码即可。 if (WP_ADMIN === true) { define ('WPLANG', 'zh_CN'); } else { define ('WPLANG', 'zh_CN'); } 修改为: ...
阅读全文
+0°

Should be compatible with WP_Widget::widget($args, $instance)

2022年07月08日 11:53:35 PHP  ⁄ 共 398字 暂无评论 ⁄ 被围观 2,268次
​如果原有 WordPress 网站在 PHP 5.x 版本上运行正常,当把 PHP 版本升级到 7.x 时,可能会爆出很多警告提示,但是网站在警告的下方是可以展示并访问的。 警告信息: Warning: Declaration of news::widget($instance) should be compatible with WP_Widget::widget($args, $instance) in D:\xxx\wp-content\themes\xxx\includes\widget.php on line 13 解决方法:只需要按照警告提示,找到方法所在文件 D:\...
阅读全文
+0°

/usr/bin/python: No module named pip

2022年06月21日 16:03:00 Python  ⁄ 共 822字 暂无评论 ⁄ 被围观 2,173次
​在安装 pip 工具时报错如下: /usr/bin/python: No module named pip 查找资料说先安装 ensurepip 模块,就可以恢复 pip: python -m ensurepip 可结果却又提示没有 ensurepip 模块: /usr/bin/python: No module named ensurepip 其实可以使用以下命令下载安装 pip 的脚本: curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py # 下载安装脚本 结果如下: # curl https://bootstrap.pypa....
阅读全文
+0°

python -m pip install –upgrade pip

2020年08月30日 17:22:36 Python  ⁄ 共 243字 暂无评论 ⁄ 被围观 3,022次
如果再用工具 pip 安装模块的过程中,出现如下提示: You are using pip version 10.0.1, however version 20.2.2 is available.You should consider upgrading via the 'python -m pip install --upgrade pip' command. 说明 pip 版本太低,直接按照提示的命令升级即可,如图: 原文链接:https://blog.csdn.net/tzhuwb/article/details/108308126
阅读全文
+0°

Win10 补丁更新后 VMware 提示升级但仍打不开如何解决

2019年10月20日 12:28:30 VMware  ⁄ 共 354字 暂无评论 ⁄ 被围观 3,593次
由于 Win10 系统的不定期更新补丁包,导致打开 VMware 时,提示需要升级 VMware 为最新版本。 但当你安装了最新版本的 VMware 后,还是打不开虚拟机,这应该是系统补丁包升级与应用软件不兼容问题,需要卸载掉影响应用程序的补丁包,详细步骤如下: 第一步,打开控制面板 打开控制面板,点击其中的程序选项,如下。 第二步,查看已安装更新 点击“查看已安装更新”选项。 第三步,卸载更新包 找到...
阅读全文
+0°

WAMP 如何升级 PHP 版本

2019年07月29日 23:05:15 开发工具  ⁄ 共 1233字 暂无评论 ⁄ 被围观 2,940次
一、从官网下载一个php7.1.5 php版本下载地址:http://windows.php.net/download/ 二、解压文件-放到bin/php目录下-更改文件 1、将刚下载的压缩包解压缩,修改命名为php7.1.5,即php+版本号。将这个文件夹放在wamp/bin/php 目录下。 2、将原来版本的php5.5.12文件夹中的,php.ini , phpForApache.ini , wampserver.conf 文件 复制到 php7.1.5 文件夹中。 3、修改 php.ini , phpForApache.ini 两个...
阅读全文
+0°

你升级Win10了吗?

2015年08月23日 07:06:02 IT动态  ⁄ 共 1880字 暂无评论 ⁄ 被围观 2,027次
  上个月29日,微软正式开启了Win7、Win8.1升级Win10的活动,在“免费升级”噱头和巨硬粑粑的强势宣传下,才过了2周多的时间,Win10正式版用户已经突破5000万,成为历史上用户更新速度最快的操作系统。这增长速度,是以往XP、Win7、Win8.X时代都不可能发生的!这预示着Win10或将像Win7那样代替XP,成为替代Win7的“主流操作系统”。这也使得许多小伙伴开始纠结,到底是继续坚守Win7/XP阵地还是追随潮流升级Win10? 对于许多用户...
阅读全文
+0°

Win7/Win8.1升级Win10后系统没有声音的解决办法

2015年08月05日 07:55:04 IT实用  ⁄ 共 686字 暂无评论 ⁄ 被围观 1,781次
Win7/Win8.1升级Win10后系统没有声音怎么办? 有些用户从Windows7/Windows8/Windows 8.1系统升级Windows10后可能遇到了系统没有声音的问题,可参考下面的一些方法来解决。 1、 如果你使用的是VIA HD Audio声卡,有可能会出现只在某些特定应用中才能听到声音的现象。此时可右键单击任务栏的声音图标,选择“播放设备”。 ▲选择“播放设备” ▲选择合适的设备作为默认通信设备(此处作为演示,演示设备未使用VIA声卡) 设置好默认通...
阅读全文